/*
 *  for MB9BF618T on FRK-FM3
 * 
 *   Copyright (C) by Y.Ishioka.
 */

#ifndef   _UART_H_
#define   _UART_H_

#if 1
#define  UART_DEF_BAUDRATE_P0   38400
#define  UART_DEF_BAUDRATE_P1   38400
#else
#define  UART_DEF_BAUDRATE_P0   38400
#define  UART_DEF_BAUDRATE_P1   115200
#endif

void  uart_send( int port, unsigned char data ) ;
int   uart_recv( int port ) ;
void  uart_putstring( int port, unsigned char *buf ) ;
void  uart_chg_baud( int port, unsigned int baud ) ;
void  uart_init( void ) ;


#endif /* _UART_H_ */
